#26006 closed defect (fixed)

LibreSSL compilation warnings on all supported Tor versions

Reported by: nickm Owned by: nickm
Priority: Medium Milestone: Tor: 0.3.4.x-final
Component: Core Tor/Tor Version:
Severity: Normal Keywords: 029-backport 031-backport 032-backport 033-backport regression?
Cc: Actual Points:
Parent ID: Points:
Reviewer: asn Sponsor:

Description

On 0.2.9 and later, I see libressl compilation warnings.

Child Tickets

Change History (7)

comment:1 Changed 11 months ago by nickm

Owner: set to nickm
Status: newaccepted

comment:2 Changed 11 months ago by nickm

See also #26005. I've made a branch for 0.2.9 (libressl_201805_029) and I'm testing it with later versions too.

comment:3 Changed 11 months ago by nickm

Status: acceptedneeds_review

Okay. Two branches here: libressl_201805_029 (for 0.2.9 through 0.3.2), and libressl_201805_033 (for 0.3.3 and later). Both are trivial.

comment:4 Changed 11 months ago by nickm

Keywords: regression? added

comment:5 Changed 11 months ago by dgoulet

Reviewer: asn

comment:6 Changed 11 months ago by asn

Status: needs_reviewmerge_ready

LGTM! Both branches resolved the warnings for me. Also tested merging libressl_201805_033 against bug26005_034 and that also worked fine!

comment:7 Changed 11 months ago by nickm

Resolution: fixed
Status: merge_readyclosed

Thanks; merging!

Note: See TracTickets for help on using tickets.